description: Apps and engines loaded when a Shot is loaded. Since std VFX config
  template has a file system structure which is centered around pipeline steps,
  this environment is largely empty. Most of the work takes place on a level in
  the file system where both a shot and a pipeline step is available - e.g Shot
  ABC, modeling, so all apps for loading, publishing etc. are located in the
  shot_step environment. This environment mostly contains utility apps and the
  tank work files app, which lets you choose a task to work on and load
  associated content into an application.

################################################################################

includes:
  - ./includes/frameworks.yml
  - ./includes/settings/tk-desktop.yml
  - ./includes/settings/tk-maya.yml
  - ./includes/settings/tk-houdini.yml
  - ./includes/settings/tk-nuke.yml
  - ./includes/settings/tk-photoshopcc.yml
  - ./includes/settings/tk-shell.yml
  - ./includes/settings/tk-shotgun.yml

################################################################################
# configuration for all engines to load in a shot context

engines:
  tk-desktop: "@settings.tk-desktop.site"
  tk-maya: "@settings.tk-maya.shot"
  tk-houdini: "@settings.tk-houdini.shot"
  tk-nuke: "@settings.tk-nuke.shot"
  tk-nuke-render: "@settings.tk-nuke.render.entity_only"
  tk-photoshopcc: "@settings.tk-photoshopcc.shot"
  tk-shell: "@settings.tk-shell.shot"
  tk-shotgun: "@settings.tk-shotgun.shot"

################################################################################
# reference all of the common frameworks

frameworks: "@frameworks"
